stages:
  - test
  - build
  - release

variables:
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s
  TERRAFORM_REGISTRY_SYSTEM_NAME: decidim
  HELM_CHART_NAME: decidim

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - registry/terraform.auto.yml
      - registry/helm.auto.yml

".vigigloo:terraform":
  image:
    name: hashicorp/terraform:1.5

